Query Deposit Order (India)
Query a single Indian Rupee (INR) deposit order by merchant order ID.
Request Information
- Request URL:
/gateway/api/v2/payments/{payment_cl_id} - Method:
GET
Request Headers
| Parameter | Type | Description |
|---|---|---|
| Authorization | String | {authorization} Authorization token assigned to the platform by the system |
Path Parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| payment_cl_id | Yes | String | Merchant Order ID |
Response Example
Success Response
{
"error_code": "0000",
"data": {
"payment_id": "DEMOPM0123456",
"payment_cl_id": "order_20260112001",
"amount": 500000,
"real_amount": 500000,
"fee": 25000,
"status": 2,
"payment_cl_name": "RAJESH KUMAR",
"create_time": 1737543600,
"success_time": 1737543700
}
}
Error Response Example
{
"error_code": "0050",
"error_msg": "查无订单!"
}
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| error_code | String | Error code, see Global Error Codes |
| error_msg | String | Error message (returned when error_code is not "0000") |
| payment_id | String | Platform Order ID |
| payment_cl_id | String | Merchant Order ID |
| amount | Int | Order amount |
| real_amount | Int | Actual paid amount |
| fee | Int | Transaction fee |
| status | Int | Order status (0: Pending, 1: Processing, 2: Success, 3: Cancelled) |
| payment_cl_name | String | Payer name |
| create_time | Int | Creation time (Unix timestamp) |
| success_time | Int | Payment success time (Unix timestamp) |
Remarks
authorizationis the authorization token assigned to the platform by the system. Please contact system personnel if you have not obtained one- Amount is in Indian Rupee (cents)